package cn.iocoder.yudao.module.configure.enums;

import cn.iocoder.yudao.framework.common.core.IntArrayValuable;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

/**
 * 小程序模板类型
 */
@Getter
@AllArgsConstructor
public enum UniTemplateTypeEnum implements IntArrayValuable {

    STANDARD(1, "标准模板"),
    CUSTOMIZE(2, "自定义模板"),
    ;

    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(UniTemplateTypeEnum::getType).toArray();

    /**
     * 操作类型
     */
    private final Integer type;

    private final String name;

    @Override
    public int[] array() {
        return ARRAYS;
    }
}
